Subject: Re: [PATCH 7/32] powerpc: Make pci_read_irq_line the default

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 14 Nov 2006 16:48:57 +1100

On Tue, 2006-11-14 at 13:47 +0800, Zang Roy-r61911 wrote:
> On Fri, 2006-11-10 at 15:44, Benjamin Herrenschmidt wrote:
> 
> > I also haven't updated the old-style fixup code from 85xx_cds.c
> > because it's actually buggy :) It assigns pci_dev->irq hard coded
> > numbers which is no good with the new IRQ mapping code. It should
> > at least use irq_create_mapping(NULL, hard_coded_number); and possibly
> > also set_irq_type() to set them as level low.
> > 
> 85xx cds is a little more complex. There are hardware revises.

In fact, my comment is partially wrong I noticed... That is, some of
those seem to have a 8259. In this case, the 8259 interrupts are always
down at 1...15 and can perfectly be hard coded in fixups as there is
always a 1:1 mapping between virq and hwirq for 8259 (that's what the
HOST_LEGACY choice is, specifically for 8259).

Ben.